/*******************************************************************************
* File Name: Address.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Address_ALIASES_H) /* Pins Address_ALIASES_H */
#define CY_PINS_Address_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define Address_0			(Address__0__PC)
#define Address_0_PS		(Address__0__PS)
#define Address_0_PC		(Address__0__PC)
#define Address_0_DR		(Address__0__DR)
#define Address_0_SHIFT	(Address__0__SHIFT)
#define Address_0_INTR	((uint16)((uint16)0x0003u << (Address__0__SHIFT*2u)))

#define Address_1			(Address__1__PC)
#define Address_1_PS		(Address__1__PS)
#define Address_1_PC		(Address__1__PC)
#define Address_1_DR		(Address__1__DR)
#define Address_1_SHIFT	(Address__1__SHIFT)
#define Address_1_INTR	((uint16)((uint16)0x0003u << (Address__1__SHIFT*2u)))

#define Address_2			(Address__2__PC)
#define Address_2_PS		(Address__2__PS)
#define Address_2_PC		(Address__2__PC)
#define Address_2_DR		(Address__2__DR)
#define Address_2_SHIFT	(Address__2__SHIFT)
#define Address_2_INTR	((uint16)((uint16)0x0003u << (Address__2__SHIFT*2u)))

#define Address_3			(Address__3__PC)
#define Address_3_PS		(Address__3__PS)
#define Address_3_PC		(Address__3__PC)
#define Address_3_DR		(Address__3__DR)
#define Address_3_SHIFT	(Address__3__SHIFT)
#define Address_3_INTR	((uint16)((uint16)0x0003u << (Address__3__SHIFT*2u)))

#define Address_INTR_ALL	 ((uint16)(Address_0_INTR| Address_1_INTR| Address_2_INTR| Address_3_INTR))


#endif /* End Pins Address_ALIASES_H */


/* [] END OF FILE */
