/*******************************************************************************
* File Name: OE.h
* Version 1.70
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/
#if !defined(CY_ISR_OE_H)
#define CY_ISR_OE_H


#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void OE_Start(void);
void OE_StartEx(cyisraddress address);
void OE_Stop(void);

CY_ISR_PROTO(OE_Interrupt);

void OE_SetVector(cyisraddress address);
cyisraddress OE_GetVector(void);

void OE_SetPriority(uint8 priority);
uint8 OE_GetPriority(void);

void OE_Enable(void);
uint8 OE_GetState(void);
void OE_Disable(void);

void OE_SetPending(void);
void OE_ClearPending(void);


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the OE ISR. */
#define OE_INTC_VECTOR            ((reg32 *) OE__INTC_VECT)

/* Address of the OE ISR priority. */
#define OE_INTC_PRIOR             ((reg32 *) OE__INTC_PRIOR_REG)

/* Priority of the OE interrupt. */
#define OE_INTC_PRIOR_NUMBER      OE__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable OE interrupt. */
#define OE_INTC_SET_EN            ((reg32 *) OE__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the OE interrupt. */
#define OE_INTC_CLR_EN            ((reg32 *) OE__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the OE interrupt state to pending. */
#define OE_INTC_SET_PD            ((reg32 *) OE__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the OE interrupt. */
#define OE_INTC_CLR_PD            ((reg32 *) OE__INTC_CLR_PD_REG)



#endif /* CY_ISR_OE_H */


/* [] END OF FILE */
