/*******************************************************************************
* File Name: Pin_Data.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Pin_Data_ALIASES_H) /* Pins Pin_Data_ALIASES_H */
#define CY_PINS_Pin_Data_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define Pin_Data_0			(Pin_Data__0__PC)
#define Pin_Data_0_PS		(Pin_Data__0__PS)
#define Pin_Data_0_PC		(Pin_Data__0__PC)
#define Pin_Data_0_DR		(Pin_Data__0__DR)
#define Pin_Data_0_SHIFT	(Pin_Data__0__SHIFT)
#define Pin_Data_0_INTR	((uint16)((uint16)0x0003u << (Pin_Data__0__SHIFT*2u)))

#define Pin_Data_1			(Pin_Data__1__PC)
#define Pin_Data_1_PS		(Pin_Data__1__PS)
#define Pin_Data_1_PC		(Pin_Data__1__PC)
#define Pin_Data_1_DR		(Pin_Data__1__DR)
#define Pin_Data_1_SHIFT	(Pin_Data__1__SHIFT)
#define Pin_Data_1_INTR	((uint16)((uint16)0x0003u << (Pin_Data__1__SHIFT*2u)))

#define Pin_Data_2			(Pin_Data__2__PC)
#define Pin_Data_2_PS		(Pin_Data__2__PS)
#define Pin_Data_2_PC		(Pin_Data__2__PC)
#define Pin_Data_2_DR		(Pin_Data__2__DR)
#define Pin_Data_2_SHIFT	(Pin_Data__2__SHIFT)
#define Pin_Data_2_INTR	((uint16)((uint16)0x0003u << (Pin_Data__2__SHIFT*2u)))

#define Pin_Data_3			(Pin_Data__3__PC)
#define Pin_Data_3_PS		(Pin_Data__3__PS)
#define Pin_Data_3_PC		(Pin_Data__3__PC)
#define Pin_Data_3_DR		(Pin_Data__3__DR)
#define Pin_Data_3_SHIFT	(Pin_Data__3__SHIFT)
#define Pin_Data_3_INTR	((uint16)((uint16)0x0003u << (Pin_Data__3__SHIFT*2u)))

#define Pin_Data_4			(Pin_Data__4__PC)
#define Pin_Data_4_PS		(Pin_Data__4__PS)
#define Pin_Data_4_PC		(Pin_Data__4__PC)
#define Pin_Data_4_DR		(Pin_Data__4__DR)
#define Pin_Data_4_SHIFT	(Pin_Data__4__SHIFT)
#define Pin_Data_4_INTR	((uint16)((uint16)0x0003u << (Pin_Data__4__SHIFT*2u)))

#define Pin_Data_5			(Pin_Data__5__PC)
#define Pin_Data_5_PS		(Pin_Data__5__PS)
#define Pin_Data_5_PC		(Pin_Data__5__PC)
#define Pin_Data_5_DR		(Pin_Data__5__DR)
#define Pin_Data_5_SHIFT	(Pin_Data__5__SHIFT)
#define Pin_Data_5_INTR	((uint16)((uint16)0x0003u << (Pin_Data__5__SHIFT*2u)))

#define Pin_Data_6			(Pin_Data__6__PC)
#define Pin_Data_6_PS		(Pin_Data__6__PS)
#define Pin_Data_6_PC		(Pin_Data__6__PC)
#define Pin_Data_6_DR		(Pin_Data__6__DR)
#define Pin_Data_6_SHIFT	(Pin_Data__6__SHIFT)
#define Pin_Data_6_INTR	((uint16)((uint16)0x0003u << (Pin_Data__6__SHIFT*2u)))

#define Pin_Data_7			(Pin_Data__7__PC)
#define Pin_Data_7_PS		(Pin_Data__7__PS)
#define Pin_Data_7_PC		(Pin_Data__7__PC)
#define Pin_Data_7_DR		(Pin_Data__7__DR)
#define Pin_Data_7_SHIFT	(Pin_Data__7__SHIFT)
#define Pin_Data_7_INTR	((uint16)((uint16)0x0003u << (Pin_Data__7__SHIFT*2u)))

#define Pin_Data_INTR_ALL	 ((uint16)(Pin_Data_0_INTR| Pin_Data_1_INTR| Pin_Data_2_INTR| Pin_Data_3_INTR| Pin_Data_4_INTR| Pin_Data_5_INTR| Pin_Data_6_INTR| Pin_Data_7_INTR))


#endif /* End Pins Pin_Data_ALIASES_H */


/* [] END OF FILE */
