/*******************************************************************************
* File Name: Status_Data.h  
* Version 1.90
*
* Description:
*  This file containts Status Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_STATUS_REG_Status_Data_H) /* CY_STATUS_REG_Status_Data_H */
#define CY_STATUS_REG_Status_Data_H

#include "cytypes.h"
#include "CyLib.h"

    
/***************************************
*     Data Struct Definitions
***************************************/

/* Sleep Mode API Support */
typedef struct
{
    uint8 statusState;

} Status_Data_BACKUP_STRUCT;


/***************************************
*        Function Prototypes
***************************************/

uint8 Status_Data_Read(void) ;
void Status_Data_InterruptEnable(void) ;
void Status_Data_InterruptDisable(void) ;
void Status_Data_WriteMask(uint8 mask) ;
uint8 Status_Data_ReadMask(void) ;


/***************************************
*           API Constants
***************************************/

#define Status_Data_STATUS_INTR_ENBL    0x10u


/***************************************
*         Parameter Constants
***************************************/

/* Status Register Inputs */
#define Status_Data_INPUTS              8


/***************************************
*             Registers
***************************************/

/* Status Register */
#define Status_Data_Status             (* (reg8 *) Status_Data_sts_sts_reg__STATUS_REG )
#define Status_Data_Status_PTR         (  (reg8 *) Status_Data_sts_sts_reg__STATUS_REG )
#define Status_Data_Status_Mask        (* (reg8 *) Status_Data_sts_sts_reg__MASK_REG )
#define Status_Data_Status_Aux_Ctrl    (* (reg8 *) Status_Data_sts_sts_reg__STATUS_AUX_CTL_REG )

#endif /* End CY_STATUS_REG_Status_Data_H */


/* [] END OF FILE */
