/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include "project.h"
#include "SDCard\API\SDCard.h"

uint32 i;
char * fnam;
uint32 siz;
uint8 no,fcnt,fre,j,bufnn;

void InitBuffer(uint8 rom[16][256])
{
    uint8 i = 0;
    uint8 j; 
    while (i < 16)
    {
        j = 0;
        while (j < 255)
            rom[i][j++]=0;
        i++;
    }
            
    rom[0][0]=72;
    rom[0][1]=69;
    rom[0][2]=76;
    rom[0][4]=76;
    rom[0][5]=79;
    rom[0][6]=32;
    rom[0][7]=87;
    rom[0][8]=79;
    rom[0][9]=82;
    rom[0][10]=76;
    rom[0][11]=68;
    //try some custom commands in page 2, with names for them in page 1
    //ERN
    rom[1][0] = 0xC5;
    rom[1][1] = 69;
    rom[1][2] = 82;
    rom[1][3] = 78;
    rom[1][4] = 0xF0;
    rom[1][5] = 0x5E;
    rom[1][6] = 0x82;
    rom[1][7] = 0x00;
    //ERL
    rom[1][8] = 0xC5;
    rom[1][9] = 69;
    rom[1][10] = 82;
    rom[1][11] = 76;
    rom[1][12] = 0xF0;
    rom[1][13] = 0x5F;
    rom[1][14] = 0x82;
    rom[1][15] = 0x06;
    //ERN
    rom[2][0] = 0xA5;
    rom[2][1] = 0x78;
    rom[2][2] = 0x9B;
    rom[2][3] = 0xBA;
    rom[2][4] = 0xD9;
    rom[2][5] = 0xE4;
    //ERB
    rom[2][6] = 0xF4;
    rom[2][7] = 0x78;
    rom[2][8] = 0xB4;
    rom[2][9] = 0xBA;
    rom[2][10] = 0xDA;
    rom[2][11] = 0x6C;
    
    rom[3][0] = 72;
    rom[3][1] = 118;
    rom[3][2] = 74;
    rom[3][3] = 0;
    rom[3][4] = 5;
    rom[3][5] = 189;
    rom[3][6] = 255;
    rom[3][7] = 65;
    rom[3][8] = 78;
    rom[3][9] = 78;
    rom[3][10] = 153;
    rom[3][11] = 8;
    rom[3][12] = 76;
    rom[3][13] = 119;
    rom[3][14] = 139;
    rom[3][15] = 6;
    rom[3][16] = 72;
    rom[3][17] = 119;
    rom[3][18] = 74;
    rom[3][19] = 0;
    rom[3][20] = 158;
    rom[3][21] = 18;
    rom[3][22] = 154;
    
    rom[15][255] = 125;
    

}
void getBLEName(uint8 buffer[]) __attribute__((noinline));

void getBLEName(uint8 buffer[])
    {
    char BLEname[249];
    CyBle_GapGetLocalName(BLEname);
    i = 0;
    while (i < 249 && BLEname[i] != 0x00)
    {
        buffer[i+1] = BLEname[i];
        i++;
    }
    buffer[0] = i;
    }

void SD_init()  __attribute__((noinline));    
    
void SD_init()
{
    char   cardInfo;							// Card information  
    char   fp;									// File Pointer  
    uint8  cnt;									// Card inserted state variables  
	uint8  load = 2;							// Card initialization variable
	char   data_r;								// Data read from Card
	
	
	// Setup and initialize the SD Card
	do
	{
		SPIM_SD_CustomStart();							// Initialize SPI Bus for communication
		SPIM_SD_Select(SPIM_SD_DISABLE); 			// Select card 
			
		cardInfo = 0;  
		cnt = 0;
	    while ( ! cardInfo )          			// Wait for card to communicate  
	    {  
		   cnt++;
		   if(cnt == 0xFF) {cnt = 0;}
	       cardInfo = SPIM_SD_InitCard();
	    }  
			
		load = load - 1;
	}while(load > 0);							// Stay in the loop till the card is initialized.
	
	fcnt = SPIM_SD_GetFileCount();				// Get number of files on Card
	
	// Loop through all the existing files
	// in the SD Card, one by one
	// or skip is count = 0
	for (cnt = 0; cnt < fcnt; cnt++)
	{
		fnam = SPIM_SD_GetFilename(cnt);			// Get the filename of the file with index value in "cnt"
	}

}

void SD_write(char* filename, uint8 data[], uint length) __attribute__((noinline));

void SD_write(char* filename, uint8 data[], uint length)
    {
	// *****************************************
	// 1. Write File
	// *****************************************
    char fp;									// File Pointer  
        
    fp = SPIM_SD_fopen(filename, "w");		// Open a file with write mode access. If the file is not present, a new file is created.
	SPIM_SD_fputcBuff(data, length, fp);
	SPIM_SD_fclose(fp);           				// Close file
	}

void SD_append(char* filename, uint8 data[], uint length) __attribute__((noinline));
    
void SD_append(char* filename, uint8 data[], uint length)
    {
	// *****************************************
	// 2. Append File - appends to an existing file
	// *****************************************
    char fp;									// File Pointer  

    fp = SPIM_SD_fopen(filename, "a");		// Open the file with append mode access.
	SPIM_SD_fputcBuff(data, length, fp);
	SPIM_SD_fclose(fp);           				// Close file
    }
    
void SD_read(char* filename, uint8 data[], uint length) __attribute__((noinline));    

void SD_read(char* filename, uint8 data[], uint length)
    {
    char fp;
    int bufptr = 0;
        
    // File Pointer  
	// *****************************************
	// 3. Read File
	// *****************************************
	fp = SPIM_SD_fopen(filename, "r");		// Open a file with readonly access.
	siz  = SPIM_SD_GetFileSize(fp);				// Get the file size.
	SPIM_SD_fseek(fp, 0);						// Move to the offset-0, which is the beginning of file
	while(!SPIM_SD_feof(fp))						// Loop till end of file
	{
		data[bufptr++] = SPIM_SD_fgetc(fp);				// Read the character pointed by fp
	}
	SPIM_SD_fclose(fp);           				// Close file
    length = siz;
	}
    
void SD_rename(char* oldname, char* newname) 
    {
	// *****************************************
	// 4. Rename File
	// *****************************************
	SPIM_SD_Rename(oldname, newname);	// Rename file1.txt to file_ren.txt
	}
    
void SD_copy(char* copyfrom, char* copyto)
    {
	// *****************************************
	// 5. Copy File
	// *****************************************
	SPIM_SD_Copy(copyfrom, copyto);// Copy the contents of file_tmp.txt to file_cpy.txt
    }
    
void SD_delete(char* filename)
    {
	// *****************************************
	// 6. Delete File
	// *****************************************
	SPIM_SD_Remove(filename);				// Delete file_tmp.txt
    }

void SD_shutdown() __attribute__((noinline));        
    
void SD_shutdown()
    {
	SPIM_SD_Select(SPIM_SD_DISABLE);         		// Deselect card  
	SPIM_SD_CustomStop();								// Stop the communication interface
	}

void DoCommand(uint8 req, uint8 buffer[16][256]) __attribute__((noinline));        

void DoCommand(uint8 req, uint8 buffer[16][256])
    {
        //These two are adjusted to remove the upper four CS bits
        const uint8 command = 0xFF; //Command port for PC to submit requests
        const uint8 pcommand = 0x0F;

        const uint8 status_busy = 1;
        const uint8 status_ready = 0;
        const uint8 status_error = 128;
        const uint8 status_success = 2;
        const uint8 command_getBLEname = 1;
        const uint8 command_setBLEname = 2;

        Pin_Data_Write(status_busy);
        if (req == 1)
            {
                getBLEName(&buffer[12][0]);
                buffer[pcommand][command] = 0;
                Pin_Data_Write(status_success);
            }

        if (req == 2)
            {
                SD_init();
                SD_write("buffer.bin",&buffer[0][0], 4096);
                SD_shutdown();
                Pin_Data_Write(status_success);
            }

    
    }


    
int main(void)
{
    
    uint8 laddress = 0;
    uint8 page = 0;
    int read;

    //These two are adjusted to remove the upper four CS bits
    const uint8 command = 0xFF; //Command port for PC to submit requests
    const uint8 pcommand = 0x0F;
    
    //uint8 req = 0; //MCU action requested by the PC
    //uint8 req_status = 0; //Status of currently-running request

    uint8 buffer[16][256];
    InitBuffer(buffer);
        
    CyGlobalIntEnable; /* Enable global interrupts. */
    
    /* Place your initialization/startup code here (e.g. MyInst_Start()) */
    
    for(;;)
    {
        if (Status_CS_Read())
            {
                page = Pin_Address_High_PS - 128;
                if (page < 12)
                    {
                        laddress = Pin_Address_Low_PS;
                        Pin_Data_DR = buffer[page][laddress];
                    }
                else if (page < 16)
                    {
                        laddress = Pin_Address_Low_PS;
                        if (!(CY_SYS_PINS_READ_PIN(CYREG_PRT0_PS, 4)))
                        {
                            read = Pin_Data_PS;
                            if (page == pcommand && laddress == command)
                                DoCommand(read, buffer);                                
                            else
                                buffer[page][laddress] = read;
                        }
                        else
                            Pin_Data_DR = buffer[page][laddress];
                    }
            }
    }        
}


/* [] END OF FILE */
